Package voltage.core

# Class VoltageAudioBus

java.lang.Object
voltage.core.VoltageComponent
voltage.core.VoltageAudioBus

public class VoltageAudioBus extends VoltageComponent
Class representing an audio bus. To write and read bus values, use the functions in VoltageModule

See Also:
  - `VoltageModule`
  - `VoltageModule.WriteBusValue(int, double)`
  - `VoltageModule.ReadBusValue(int)`

- ## Field Summary

  ### Fields inherited from class voltage.core.VoltageComponent

  `componentName, displayName`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `GetValue()`
  Returns the value of this control.
  `void`
  `Reset()`
  Clears the bus to 0
  `void`
  `SetValue(double value)`
  Sets the value of the control.

  ### Methods inherited from class voltage.core.VoltageComponent

  `AddChildComponent, GetComponentID, GetDisplayName, GetHeight, GetMaxValue, GetMinValue, GetRect, GetSkin, GetTooltipText, GetTransparency, GetUserProperty, GetWidth, GetX, GetY, IsEnabled, IsVisible, RemoveChildComponent, SetCanBeAutomated, SetEnabled, SetPosition, SetRect, SetRect, SetSize, SetSkin, SetTransparency, SetUnits, SetUserProperty, SetValue, SetValueNoNotification, SetVisible, SetWantsMouseNotifications, SetZOrder, SkewNormalizedValue, UpdateGUIValue, WantsMouseNotifications`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### SetValue

    public void SetValue(double value)
    Description copied from class: `VoltageComponent`
    Sets the value of the control.
    Overrides:
      `SetValue` in class `VoltageComponent`
    Parameters:
      `value` - the value to set

  - ### GetValue

    public double GetValue()
    Description copied from class: `VoltageComponent`
    Returns the value of this control.
    Overrides:
      `GetValue` in class `VoltageComponent`
    Returns:
      the value of the control

  - ### Reset

    public void Reset()
    Clears the bus to 0